// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package myPlant

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"sundynix-micro-go/app/plant/api/internal/logic/myPlant"
	"sundynix-micro-go/app/plant/api/internal/svc"
	"sundynix-micro-go/app/plant/api/internal/types"
	"sundynix-micro-go/common/response"
)

// 添加养护记录
func AddCareRecordHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CareRecordReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}

		l := myPlant.NewAddCareRecordLogic(r.Context(), svcCtx)
		err := l.AddCareRecord(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
